<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ItemRevisionSearchRow StructType
 * @subpackage Structs
 */
class ItemRevisionSearchRow extends SearchRow
{
    /**
     * The basic
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\ItemRevisionSearchRowBasic
     */
    public $basic;
    /**
     * The itemJoin
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\ItemSearchRowBasic
     */
    public $itemJoin;
    /**
     * The userJoin
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\EmployeeSearchRowBasic
     */
    public $userJoin;
    /**
     * Constructor method for ItemRevisionSearchRow
     * @uses ItemRevisionSearchRow::setBasic()
     * @uses ItemRevisionSearchRow::setItemJoin()
     * @uses ItemRevisionSearchRow::setUserJoin()
     * @param \StructType\ItemRevisionSearchRowBasic $basic
     * @param \StructType\ItemSearchRowBasic $itemJoin
     * @param \StructType\EmployeeSearchRowBasic $userJoin
     */
    public function __construct(\StructType\ItemRevisionSearchRowBasic $basic = null, \StructType\ItemSearchRowBasic $itemJoin = null, \StructType\EmployeeSearchRowBasic $userJoin = null)
    {
        $this
            ->setBasic($basic)
            ->setItemJoin($itemJoin)
            ->setUserJoin($userJoin);
    }
    /**
     * Get basic value
     * @return \StructType\ItemRevisionSearchRowBasic|null
     */
    public function getBasic()
    {
        return $this->basic;
    }
    /**
     * Set basic value
     * @param \StructType\ItemRevisionSearchRowBasic $basic
     * @return \StructType\ItemRevisionSearchRow
     */
    public function setBasic(\StructType\ItemRevisionSearchRowBasic $basic = null)
    {
        $this->basic = $basic;
        return $this;
    }
    /**
     * Get itemJoin value
     * @return \StructType\ItemSearchRowBasic|null
     */
    public function getItemJoin()
    {
        return $this->itemJoin;
    }
    /**
     * Set itemJoin value
     * @param \StructType\ItemSearchRowBasic $itemJoin
     * @return \StructType\ItemRevisionSearchRow
     */
    public function setItemJoin(\StructType\ItemSearchRowBasic $itemJoin = null)
    {
        $this->itemJoin = $itemJoin;
        return $this;
    }
    /**
     * Get userJoin value
     * @return \StructType\EmployeeSearchRowBasic|null
     */
    public function getUserJoin()
    {
        return $this->userJoin;
    }
    /**
     * Set userJoin value
     * @param \StructType\EmployeeSearchRowBasic $userJoin
     * @return \StructType\ItemRevisionSearchRow
     */
    public function setUserJoin(\StructType\EmployeeSearchRowBasic $userJoin = null)
    {
        $this->userJoin = $userJoin;
        return $this;
    }
}
